stages:
- test
- deploy_to_test

phpunit:
  stage: "test"
  image: "php:7.4"
  before_script:
  - apt-get update -yqq
  - apt-get install -y git zip
  - curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
  - composer install
  script:
  - ./vendor/bin/phpunit
  tags:
  - spes
  cache:
    key: $CI_COMMIT_REF_SLUG
    paths:
    - "vendor/"

marcus_test:
  variables:
    MARCUS_SERVER: $MARCUS_TEST_SERVER_IPV6
  image: oyvindlg/gitlab-ci-library:ansible-cgi
  stage: "deploy_to_test"
  before_script:
  - eval $(ssh-agent -s)
  - echo $MARCUS_TEST_KEY | base64 --decode | ssh-add -

  script:
  - echo "debug"
  - ssh -6 -o "StrictHostKeyChecking=no" $MARCUS_USER@$MARCUS_SERVER "cd $MARCUS_HOME && git fetch && git checkout $CI_COMMIT_SHA && composer install --no-dev"
  - ssh -6 -o "StrictHostKeyChecking=no" $MARCUS_USER@$MARCUS_SERVER "cd $ADMIN_HOME && git fetch && git checkout $CI_COMMIT_SHA && composer install --no-dev"
  tags:
  - spes
